org.apache.poi.hwmf.record

## Class HwmfFill

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfFill

-     public class HwmfFill
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HwmfFill.ColorUsage` The ColorUsage Enumeration (a 16-bit unsigned integer) specifies whether a color table exists in a device-independent bitmap (DIB) and how to interpret its values, i.e.
    `static interface` | `HwmfFill.HwmfImageRecord` A record which contains an image (to be extracted)
    `static class` | `HwmfFill.WmfBitBlt`
    `static class` | `HwmfFill.WmfDibBitBlt`
    `static class` | `HwmfFill.WmfDibStretchBlt` The META_DIBSTRETCHBLT record specifies the transfer of a block of pixels in device-independent format according to a raster operation, with possible expansion or contraction.
    `static class` | `HwmfFill.WmfExtFloodFill` The META_EXTFLOODFILL record fills an area with the brush that is defined in the playback device context.
    `static class` | `HwmfFill.WmfFillRegion` The META_FILLREGION record fills a region using a specified brush.
    `static class` | `HwmfFill.WmfFloodFill` The META_FLOODFILL record fills an area of the output surface with the brush that is defined in the playback device context.
    `static class` | `HwmfFill.WmfInvertRegion` The META_INVERTREGION record draws a region in which the colors are inverted.
    `static class` | `HwmfFill.WmfPaintRegion` The META_PAINTREGION record paints the specified region by using the brush that is defined in the playback device context.
    `static class` | `HwmfFill.WmfPatBlt` The META_PATBLT record paints a specified rectangle using the brush that is defined in the playback device context.
    `static class` | `HwmfFill.WmfSetDibToDev` The META_SETDIBTODEV record sets a block of pixels in the playback device context using deviceindependent color data.
    `static class` | `HwmfFill.WmfSetPolyfillMode` The META_SETPOLYFILLMODE record sets polygon fill mode in the playback device context for graphics operations that fill polygons.
    `static class` | `HwmfFill.WmfStretchBlt` The META_STRETCHBLT record specifies the transfer of a block of pixels according to a raster operation, with possible expansion or contraction.
    `static class` | `HwmfFill.WmfStretchDib` The META_STRETCHDIB record specifies the transfer of color data from a block of pixels in device independent format according to a raster operation, with possible expansion or contraction.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HwmfFill()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HwmfFill

          public HwmfFill()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.